FruxonDocs
ApiCollection pipelines

Lists the pipeline's runs.

Returns the run history for one pipeline (status, counters, timing) — the run monitor's list.

GET
/v1/tenants/{tenant}/collectionPipelines/{collectionPipeline}/runs
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

collectionPipeline*string

The unique identifier of the pipeline.

Formatuuid
tenant*string

The tenant identifier

Query Parameters

PageSize?integer

The maximum number of items to return per page

Formatint32
PageToken.Skip?integer
Formatint32
PageToken.Cursor?string

Opaque cursor token from an external system (e.g. RAG API). When set, M:Fruxon.Common.Collections.PageToken.AsString returns this value directly instead of encoding Fruxon.Common.Collections.PageToken.Skip.

orderBy?

Sort order (AIP-132 orderBy).

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/collectionPipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08/runs"
{
  "items": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "tenantId": "00000000-0000-0000-0000-000000000000",
      "createdAt": 0,
      "modifiedAt": 0,
      "pipelineId": "00000000-0000-0000-0000-000000000000",
      "networkId": "00000000-0000-0000-0000-000000000000",
      "sourceId": "00000000-0000-0000-0000-000000000000",
      "pipelineRevisionId": "00000000-0000-0000-0000-000000000000",
      "status": "FETCHING",
      "origin": "PRODUCTION",
      "itemsTotal": 0,
      "itemsSucceeded": 0,
      "itemsFailed": 0,
      "itemsSkipped": 0,
      "startedAt": 0,
      "endedAt": 0,
      "budgetSpent": 0,
      "rootExecutionId": "00000000-0000-0000-0000-000000000000",
      "completionAsyncOperationId": "00000000-0000-0000-0000-000000000000",
      "completionCallbackDispatchedAt": 0,
      "effectivePolicy": {
        "maxItems": null,
        "maxConcurrency": 0,
        "perRunBudgetCap": null,
        "dedupKeyPath": "string",
        "onItemError": "UNSPECIFIED",
        "actionTypeCeiling": "UNSPECIFIED"
      },
      "sinkDestinationOverride": {
        "indexAssetId": "string",
        "tabularTarget": null,
        "hasAny": true
      }
    }
  ],
  "nextPageToken": "string",
  "totalCount": 0
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}